{
  "name": "examcloud-student-clinet-v3",
  "private": true,
  "version": "3.0.0",
  "scripts": {
    "start": "vite --host 0.0.0.0",
    "dev": "vite",
    "prebuild": "node --experimental-json-modules prebuild.mjs",
    "build": "vue-tsc --noEmit --skipLibCheck && vite build && node obfuscator.js",
    "build-without-type-check": "vite build",
    "typecheck": "vue-tsc --noEmit --skipLibCheck",
    "serve": "vite preview",
    "lint": "eslint --ext .js,.ts,.vue --ignore-path .gitignore --fix src",
    "format": "prettier --ignore-path .gitignore .  --write",
    "test": "vitest",
    "prebuild:test": "node --experimental-json-modules prebuild.mjs test",
    "build:test": "vite build --mode test && node obfuscator.js",
    "prebuild:prod": "node --experimental-json-modules prebuild.mjs production",
    "build:prod": "vite build --mode production && node obfuscator.js"
  },
  "dependencies": {
    "@aliyun-sls/web-track-browser": "^0.0.3",
    "@chenfengyuan/vue-qrcode": "^2.0.0",
    "@vicons/ionicons5": "0.12.0",
    "@vitejs/plugin-legacy": "1.8.2",
    "abortcontroller-polyfill": "1.7.3",
    "alife-logger": "^1.8.30",
    "axios": "0.26.1",
    "axios-progress-bar": "^1.2.0",
    "axios-retry": "^3.2.5",
    "copy-to-clipboard": "^3.3.2",
    "crypto-js": "^4.1.1",
    "face-api.js": "^0.22.2",
    "js-base64": "^3.7.3",
    "js-md5": "^0.7.3",
    "lodash-es": "^4.17.21",
    "moment": "^2.29.3",
    "naive-ui": "2.30.4",
    "pinia": "2.0.14",
    "qrcode": "^1.5.0",
    "tailwindcss": "^3.1.3",
    "ua-parser-js": "^1.0.2",
    "vfonts": "^0.0.3",
    "viewerjs": "^1.10.5",
    "vue": "3.2.37",
    "vue-router": "^4.0.16",
    "vuedraggable": "4.1.0"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.1.1",
    "@types/js-md5": "^0.4.3",
    "@types/lodash-es": "^4.17.6",
    "@types/node": "^17.0.45",
    "@types/ua-parser-js": "^0.7.36",
    "@typescript-eslint/eslint-plugin": "^5.28.0",
    "@typescript-eslint/parser": "^5.28.0",
    "@vitejs/plugin-vue": "^2.3.3",
    "@vitejs/plugin-vue-jsx": "^1.3.10",
    "autoprefixer": "^10.4.7",
    "electron": "1.7.16",
    "eslint": "^8.17.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-vue": "^9.1.1",
    "happy-dom": "^5.3.1",
    "javascript-obfuscator": "4.0.0",
    "postcss": "^8.4.14",
    "prettier": "^2.7.1",
    "rollup": "2.75.6",
    "typescript": "^4.7.3",
    "unplugin-auto-import": "^0.8.8",
    "unplugin-vue-components": "^0.19.6",
    "vite": "2.9.12",
    "vitest": "0.14.2",
    "vue-eslint-parser": "9.0.2",
    "vue-tsc": "^0.37.9"
  }
}